"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var transport_1 = require("@connectv/sdh/transport");
var renderer_1 = require("../../transport/renderer");
var clipboard_1 = require("../../transport/clipboard");
var toast_1 = require("../util/toast");
var heading_link_1 = require("./heading-link");
function copyHeadings() {
    var renderer = renderer_1.getRenderer();
    transport_1.onReady(function () {
        var _exec = function () {
            document.querySelectorAll('h1[id], h2[id], h3[id], h4[id], h5[id], h6[id]').forEach(function (heading$) {
                var link = heading_link_1.headingLink(heading$);
                if (link) {
                    heading$.addEventListener('mousedown', function (event) {
                        var og = event;
                        var listener = function (event) {
                            var dx = event.clientX - og.clientX;
                            var dy = event.clientY - og.clientY;
                            if (Math.sqrt(dx * dx + dy * dy) < 10) {
                                clipboard_1.copyToClipboard(link, function () { return renderer.render(renderer.create(toast_1.Toast, null, "Link Copied to Clipboard!")).on(document.body); });
                            }
                            ;
                            heading$.removeEventListener('mouseup', listener);
                        };
                        heading$.addEventListener('mouseup', listener);
                    });
                }
            });
        };
        _exec();
        window.addEventListener('navigation', _exec);
    });
}
exports.copyHeadings = copyHeadings;
exports.copyHeadings$ = transport_1.funcTransport(copyHeadings);
//# sourceMappingURL=copy-headings.js.map